package chronometre;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Cadre extends JFrame implements ActionListener {
  JPanel contentPane;
  JLabel label = new JLabel();
  FlowLayout flowLayout1 = new FlowLayout();
  int nombre = 0;

  /**Construire le cadre*/
  public Cadre() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Initialiser le composant*/
  private void jbInit() throws Exception  {
    //setIconImage(Toolkit.getDefaultToolkit().createImage(Cadre.class.getResource("[Votre icne]")));
    contentPane = (JPanel) this.getContentPane();
    label.setFont(new java.awt.Font("Dialog", 1, 32));
    label.setForeground(Color.red);
    label.setText("0");
    contentPane.setLayout(flowLayout1);
    this.setSize(new Dimension(300, 250));
    this.setTitle("Chronomtre");
    new Timer(1000, this).start();
    contentPane.setBackground(Color.orange);
    contentPane.add(label, null);
  }
  /**Remplac, ainsi nous pouvons sortir quand la fentre est ferme*/
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }
  public void actionPerformed(ActionEvent e) {
    label.setText(String.valueOf(++nombre));
  }
}